phrGetOutputStrings {phreeqc} | R Documentation

## Retrieve standard phreeqc output.

### Description

Retrieves the phreeqc output as a character vector.

### Usage

    phrGetOutputStrings()

### Details

A NULL value is returned when there is no selected-output.

### Value

A character vector containing phreeqc output.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Output: `phrGetOutputFileName`, `phrGetOutputFileOn`, `phrGetOutputStringsOn`, `phrSetOutputFileName`, `phrSetOutputFileOn`, `phrSetOutputStringsOn`

### Examples

    # This example equilibrates pure water with calcite and displays
    # the results
    phrLoadDatabaseString(phreeqc.dat)
    phrSetOutputStringsOn(TRUE)

    input <- vector(mode="character")
    input <- c(input, "SOLUTION 1 Pure water ")
    input <- c(input, "EQUILIBRIUM_PHASES 1  ")
    input <- c(input, "  Gypsum 0 10         ")

    if (is.null(phrRunString(input))) {
      cat(phrGetOutputStrings(), sep = "\n")
    }

[Package phreeqc version 3.4.10 Index]